
Summary:	Backup software
Name:		rdiff-backup
Version:	1.3.3
Release:	%mkrel 1
License:	GPLv2
Group:		Networking/Other
URL:		http://www.nongnu.org/rdiff-backup/
Source0:	http://download.savannah.nongnu.org/releases/rdiff-backup/%{name}-%{version}.tar.gz
# from http://wiki.rdiff-backup.org/wiki/index.php/BashCompletion
Source1:	rdiff-backup.bash_completion
# docs are already installed by %doc macro
Patch0:		rdiff-backup-1.2.0-dont-install-docs.patch
Patch1:		rdiff-backup-1.2.8-librsync-1.0.0.patch
Requires:	python
BuildRequires:	librsync-devel >= 0.9.6
BuildRequires:	popt-devel
BuildRequires:	python-devel >= 2.2.1
BuildRequires:	python-rpm
Epoch:		1

%description
rdiff-backup is a script, written in Python, that backs up one
directory to another and is intended to be run periodically
(nightly from cron for instance). The target directory ends up
a copy of the source directory, but extra reverse diffs are
stored in the target directory, so you can still recover files
lost some time ago. The idea is to combine the best features of
a mirror and an incremental backup. rdiff-backup can also operate
in a bandwidth efficient manner over a pipe, like rsync. Thus you
can use rdiff-backup and ssh to securely back a hard drive up to
a remote location, and only the differences from the previous
backup will be transmitted.

%if 0%{?suse_version} && 0%{?opensuse_bs} == 0
%debug_package
%endif

%prep
%setup -q
%patch -P 0 -p1
%patch -P 1 -p1

%build
%__python2 setup.py build

%install
%__python2 \
	setup.py install \
	--optimize=2 \
	--root=%{buildroot}
# install bash_completion
mkdir -p -m 0755 %{buildroot}/%{_sysconfdir}/bash_completion.d
install -m 0644 %SOURCE1 %{buildroot}/%{_sysconfdir}/bash_completion.d/%name


%files
%defattr(644,root,root,755)
%doc CHANGELOG README FAQ.html examples.html
%attr(755,root,root) %{_bindir}/rdiff-backup
%attr(755,root,root) %{_bindir}/rdiff-backup-statistics
%dir %{py2_platsitedir}/rdiff_backup
%{py2_platsitedir}/rdiff_backup/*.py*
%attr(755,root,root) %{py2_platsitedir}/rdiff_backup/*.so
%{py2_platsitedir}/rdiff_backup-*.egg-info
%{_mandir}/man1/rdiff-backup*
%config(noreplace) %{_sysconfdir}/bash_completion.d/%name




%changelog
